===========================================================
================ 34H Launcher change log ==================
===========================================================

ПОМОЩЬ БОЛЬШЕ НЕ НУЖНА, СПАСИБО ВСЕМ ТЕМ, КТО МОГ, НО НЕ ОТКЛИКНУЛСЯ
СПАСИБО ЗА ВАШЕ БЕЗРАЗЛИЧИЕ

[09.02.2022] v0.125.11.0 Beta
* добавлена поддержка приватных серверов для BF3 и BF4
* добавлена возможность подключения к серверу как Наблюдатель для BFH
* изменен перевод кнопки Полигон для BF4
* отключена возможность запускать x32 BFH
* исправлено число доступных слотов на сервере
* лаунчер адаптирован под новую версию API (0.5.5.0)

МНЕ ВСЕ ЕЩЕ НУЖНА ПОМОЩЬ ДЛЯ РАБОТЫ НАД ЛАУНЧЕРОМ

[26.09.2021] v0.125.10.3 Beta
* теперь, стандартной сортировкой для списка серверов, будет сортировка по пингу

МНЕ ВСЕ ЕЩЕ НУЖНА ПОМОЩЬ ДЛЯ РАБОТЫ НАД ЛАУНЧЕРОМ

[07.09.2021] v0.125.9.3 Beta
* удалена кнопка `Перезапустить лаунчер` за ненадобностью
* увеличено стандартное значение прозрачности карточек главного меню с 10 до 30%

КРУПНЫХ ОБНОВЛЕНИЙ ЛАУНЧЕРА НЕ БУДЕТ. НИКАКИХ НОВЫХ ФИЧ И ПРОЧЕГО. ТОЛЬКО ПОДДЕРЖКА В ПЛАНЕ БАГ ФИКСОВ И ОТВЕТОВ НА ВОПРОСЫ
ДО ТЕХ ПОР, ПОКА НЕ НАЙДЕТСЯ ЧЕЛОВЕК, ГОТОВЫЙ ПОМОЧЬ

ЕСТЬ МНОЖЕСТВО ИДЕЙ И НОВОЕ АПИ, ЕСЛИ ЕСТЬ ЖЕЛАНИЕ, ПОМОГИ

[02.07.2021] v0.125.8.3 Beta
* переработаны правила автоматического подключения к ZClient. Теперь попытка подключения не будет выполняться, пока вы не запустите клиент. До истечения этого времени кнопка подключения будет недоступна
* лаунчер адаптирован под новую версию API (0.5.3.0)

[26.05.2021] v0.125.7.3 Beta (Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Release)
* исправлен баг, из за которого лаунчер, при переходе к статистике игрока, направлял пользователя на неверную страницу
* исправлено множество проблем с вылетами лаунчера
* лаунчер адаптирован под новую версию API (0.5.2.1)

[11.05.2021] v0.125.6.3 Beta (Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Release)
* исправлен баг с крашем лаунчера при внезапном отключении ZClient
Известные проблемы:
* неверный расчет пинга (уже решается)

[08.05.2021] v0.125.5.3 Beta (Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Release)
* исправлена ошибка, из-за которой при падении сервера он не пропадал из списка серверов
* исправлена ошибка, из-за которой лаунчер вылетал, если была включена опция автозапуска ZClient и он уже был запущен
* лаунчер адаптирован под новую версию API (0.5.0.4)
* возможность автоматического подключения к ZClient временно отключена

[02.03.2021] v0.125.1.3 Beta (Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Release)
* исправлен баг, из-за которого, лаунчер завершал свою работу при вводе некорректных данных в поле Friend Id (BF3 Coop)
* исправлен баг, из-за которого, не работало логирование событий игры

[01.25.2021] v0.125.0.3 Beta (Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Release)
* исправлен баг, из-за которого, нельзя было отключить функцию присутствия в Discord
* множество внутренних оптимизаций
* полностью переработана внутренняя система управления запуска игр
* лаунчер был адаптирован к новой версии API (0.3.0.1)
* ввиду определенных ограничений платформы API проекта ZLOEmu, была упрощена поддержка Discord

[12.29.2020] v0.124.5.2 Beta (Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Release)
* исправлена ошибка, из-за которой текущая карта не отображается при ротации списка карт (Test Range)

[12.20.2020] v0.124.3.2 Beta (Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Release)
* добавлена поддержка карты "Test Range" как карты для мультиплеера

[11.14.2020] v0.124.2.2 Beta (Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Release)
* исправлен баг, из-за которого, лаунчер завершал свою работу в аварийном порядке при переходе в раздел списка серверов BF4
* исправлен баг, из-за которого, лаунчер завершал свою работу в аварийном порядке при попытке автоматически обнаружить путь к ZClient

[11.02.2020] v0.124.1.2 Beta (Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Release)
* полностью переработан эффект размытия на страницах
* полностью переработана диалоговая система
* полностью переработана вкладка Events
* дизайн диалогов был полностью переработан (может менятся в будущем)
* дизайн индикатора зайнятости был полносттю переработан
* теперь, новые события будут расположенны вверху списка, а не снизу, как было раньше
* множество внутренних оптимизаций
* заложен фундамент, под реализацию фичи, которая позволит уже в лаунчере видеть состояние матча, счета команд (тольно BF4, `BFH)
* добавлена возможность, закрытия ZClient вместе с лаунчером (находится в разделе настроек)
* доработана система логирования ошибок

` возможно для BFH это реализовано не будет

[10.04.2020] v0.123.0.1 Beta (Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Pre-Release)
********************************************************************************************************************
* Выше вы видите долгий Pre-Release. С каждым новым таким обновлением, количество Pre будет уменьшаться до тех пор *
* пока лаунчер не станет совершенно новым, и не получит свою заслуженную версию под номером 1.0.0.0!			   *
********************************************************************************************************************
* множество внутренних оптимизаций
* теперь, ваш ник стал кликабельным. Кликнув по нем, можно увидеть и скопировать свой ID

[09.12.2020] v0.122.1232.0 Beta
* Возможно решена проблема с DISCONNECT_BLAZE 11-1

[08.07.2020] v0.122.1231.0 Beta
* теперь можно отключать автоматическое открытие ChangeLog после обновления
* теперь можно вручную удалять кэш обновления, если лаунчеру не удалось это сделать автоматически
* повышена общая стабильность работы лаунчера
* исправлен баг, из-за которого, лаунчер завершал свою работу в аварийном порядке при попытке закрыть игру
* лаунчер был адаптирован к новой версии API

[07.21.2020] v0.121.1226.0 Beta
* обновлена версия API
* лаунчер был адаптирован к новой версии API, благодаря чему, сервера могут обновлять больше информации о себе, не обновляя весь список
* список игроков сервера стал самообновляемым
* список поддерживаемых карт сервера стал самообновляемым
* теперь, вы можете просматривать уникальные идентификаторы игроков, а также, можете увидеть текущую и следующую карты в списке поддерживаемых
* небольшие оптимизации
* небольшие изменения интерфейса
Известные проблемы:
* множество карт, поддерживаемых сервером, включая текущую и следующую, могут отсутствовать в списке, так как имеются проблемы с EA

[07.11.2020] v0.120.1219.0 Beta
* интегрирована поддержка Discord RPC. Теперь ваши друзья в Discord, смогут видеть, на каком сервере вы играете и не только. Данная опция доступна в меню настроек лаунчера
* исправлен баг, из-за которого, лаунчер показывал индикатор Playing, даже если игра не запущена
* исправлен баг, из-за которого, после закрытия ZClient, кнопка "Подключиться", по-прежнему была недоступна
* обновлена версия API
Известные проблемы:
* возможны проблемы с прозрачностью меню. Для решения, перейдите в настройки лаунчера и подвигайте ползунок прозрачности
* возможны проблемы с неактуальностью данных о сервере при использовании Discord RPC (решение в разработке)

[06.27.2020] v0.119.1213.0 Beta
* исправлен баг, из-за которого, уже закрытые сервера по прежнему отображалить в лаунчере
* исправлен баг, из-за которого, при определенных условиях, нельзя было запустить игру
* полностью перераработана система фильтрации серверов
* повышена производительность и стабильность работы лаунчера
* небольшие изменения интерфейса
* обновлена версия API

[06.19.2020] v0.119.1204.0 Beta
* дополнения к переводу
* теперь можно копировать текст События
* changeLog был отсортирован от свежих к старым
* добавлена возможность настраивать прозрачность карточек с играми на домашней странице
* добавлена возможность автоматического подключения лаунчера к ZClient. Данная опция доступна в меню настроек лаунчера

[06.18.2020] v0.116.1202.0 Beta
* исправлен баг, из-за которого, нельзя было подключится к другу в CoOp

[06.18.2020] v0.116.1201.0 Beta
* дополнения к переводу

[06.17.2020] v0.116.1200.0 Beta
* дополнения к переводу

[06.14.2020] v0.116.1199.0 Beta
* исправлен баг, из-за которого, невозможно было запустить иргу, если у пользователя был запущен игровой сервер
* обновлена версия API

[06.12.2020] v0.116.1198.0 Beta
* исправлена странная опечатка

[06.12.2020] v0.116.1197.0 Beta
* лаунчер адаптирован к новой версии API
* исправлен баг, из-за которого, лаунчер завершал свою работу в аварийном порядке при внезапном закрытии ZClient во время загрузки игры
* (возможно) исправлен баг, из-за которого, лаунчеру не удавалось получить список серверов
* исправлен баг, из-за которого, лаунчер завершал свою работу в аварийном порядке при использовании навигации "Назад" после потери соединения с ZClient

[06.01.2020] v0.116.1193.0 Beta
* дополнения к переводу
* небольшие изменения интерфейса
* мелкие исправления и оптимизации (API)
* исправлен баг, из-за которого, лаунчер завершал свою работу в аварийном порядке при использовании навигации "Назад"

[05.29.2020] v0.116.1190.0 Beta
* оптимизация загрузки ресурсов
* небольшие изменения интерфейса
* включена возможность менять локализацию лаунчера. Доступны [English; Russian] (локализация будет дополнятся новыми обновлениями)
* домашняя страница переведена на Русский

[05.26.2020] v0.115.1186.0 Beta
* небольшие оптимизации
* исправлен баг, из-за которого, если попытаться посмотреть статистику игрока, еще ни разу не играв, лаунчер завершал свою работу в
аварийном порядке

[05.25.2020] v0.115.1184.0 Beta
* вырезан ненужный функционал

[05.23.2020] v0.115.1183.0 Beta
* заблокирована возможность менять архитектуру игры Battlefield 3 для запуска (так как игра распространяется с единой архитектурой)

[05.22.2020] v0.115.1182.0 Beta
* небольшие изменения интерфейса
* исправлен баг, из-за которого, спам любой кнопки диалогового окна, приводил к тому, что лаунчер завершал свою работу в аварийном порядке
* исправлен баг, из-за которого, лаунчер завершал свою работу в аварийном порядке, если попытаться сменить картинку фона более одного раза подряд
* исправлен баг, из-за которого, в списке карт-режимов отсутствовали режимы (Battlefield Hardline)

[05.20.2020] v0.115.1177.0 Beta
* исправлен баг, из-за которого, ставало невозможным запускать игры с лаунчера, если получить ошибку Game not found
* исправлен баг, из-за которого, не обновлялся пинг, при добавлении или удалении сервера

[05.20.2020] v0.115.1175.0 Beta
* небольшие изменения интерфейса
* исправлен баг, из-за которого, на некоторых серверах в списке карт, значилась Неизвестная карта
* исправлен баг, из-за которого, после перехода к браузеру серверов через историю, все кнопки переставали отвечать на нажатия
* исправлен баг, из-за которого иногда зависал Windows
* исправлен баг, из-за которого, спам кнопки Join, приводил к тому, что лаунчер завершал свою работу в аварийном порядке
* оптимизировано ведение логов

[05.18.2020] v0.115.1169.0 Beta
* небольшие визуальные изменения в разделе Настройки
* добавлены недостающие ресурсы для Battlefield Hardline
* теперь, после установки обновлений, лаунчер будет удалять использованный установщик (по возможности)
* исправлен баг, из-за которого, полностью или частично, терялись списки игроков для списка серверов
* исправлен баг, из-за которого, после обновления, лаунчер завершал свою работу в аварийном порядке
* оптимизирован расчет пинга для списка серверов

[05.14.2020] v0.115.1165.0 Beta
* в случаи, если путь к ZClient не был задан, пользователю будет показана подсказка, позволяющая найти настройки лаунчера
* теперь, есть возможность менять цвет акцента (кол-во доступных цветов будет дополнятся обновлениями)
* исправлен баг, из-за которого пропадала статистика игрока
* исправлен баг, при котором обновления спамили ненужными данными в реестр
* улучшено отображение иконки кнопки Map ratations\Players

[05.12.2020] v0.114.1161.0 Beta
* переработан дизайн всех диалоговых окон
* переработан дизайн Events
* доработан дизайн Settings
* теперь, в случае доступности обновления, пользователю будет предложено отказатся от него
* теперь можно просматривать статистику игрока для Battlefield 3, 4
* отключена возможность подключения к серверу в роли Commander
Известные проблемы:
* вернулся баг с зависанием Windows

[05.10.2020] v0.113.1156.0 Beta
* исправлен баг с зависанием Windows
* исправлены мелкие визуальные баги
* новый дизайн браузера серверов

[05.09.2020] v0.112.1153.0 Beta
* введена новая система обновления лаунчера
* исправлена ошибка с вылетом лаунчера после полной загрузки игры
* теперь, если запустить лаунчер с уже запущенной игрой, он ее обнаружит
* небольшие оптимизации
